﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Media;

namespace TestGalleryBinding.ViewModels
{
    public abstract class ElementViewModelBase 
        : ViewModelBase
    {
        #region Private fields

        private string _id;
        private object _tag;
        
        #endregion

        #region Constructors

        public ElementViewModelBase()
        {
            
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets element identifier 
        /// </summary>
        public string Id
        {
            get
            {
                return _id;
            }
            set
            {
                if (_id != value)
                {
                    _id = value;
                    OnPropertyChanged("Id");
                }
            }
        }

        /// <summary>
        /// Gets or sets element tag
        /// </summary>
        public object Tag
        {
            get
            {
                return _tag;
            }
            set
            {
                if (_tag != value)
                {
                    _tag = value;
                    OnPropertyChanged("Tag");
                }
            }
        }

        #endregion
    }
}
