﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Input;
using System.Windows.Media;

namespace TestGalleryBinding.ViewModels
{
    public class GalleryItemViewModel 
        : TitledElementViewModelBase, IActionSource
    {
        #region Private fields

        private Uri _smallGlyph;
        private Uri _largeIGlyph;
        private ICommand _command;

        #endregion

        #region Constructors

        public GalleryItemViewModel()
        {

        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets small glyph
        /// </summary>
        public Uri SmallGlyph
        {
            get
            {
                return _smallGlyph;
            }
            set
            {
                if (_smallGlyph != value)
                {
                    _smallGlyph = value;
                    OnPropertyChanged("SmallGlyph");
                }
            }
        }

        /// <summary>
        /// Gets or sets large glyph
        /// </summary>
        public Uri LargeGlyph
        {
            get
            {
                return _largeIGlyph;
            }
            set
            {
                if (_largeIGlyph != value)
                {
                    _largeIGlyph = value;
                    OnPropertyChanged("LargeGlyph");
                }
            }
        }

        /// <summary>
        /// Gets or sets command
        /// </summary>
        public ICommand Command
        {
            get
            {
                return _command;
            }
            set
            {
                if (_command != value)
                {
                    _command = value;
                    OnPropertyChanged("Command");
                }
            }
        }

        #endregion
    }
}