﻿using System.Collections.ObjectModel;

namespace TestGalleryBinding.ViewModels
{
    public class GalleryViewModel 
        : ElementsViewModelBase<GalleryCategoryViewModel>
    {
        #region Private fields

        private int _minColumns;
        private int _maxColumns;

        #endregion

        #region Constructors

        public GalleryViewModel()
            : base()
        {
            _minColumns = 1;
            _maxColumns = 1;
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets min columns in category
        /// </summary>
        public int MinColumns
        {
            get
            {
                return _minColumns;
            }
            set
            {
                if (_minColumns != value)
                {
                    _minColumns = value;
                    OnPropertyChanged("MinColumns");
                }
            }
        }

        /// <summary>
        /// Gets or sets max columns in category
        /// </summary>
        public int MaxColumns
        {
            get
            {
                return _maxColumns;
            }
            set
            {
                if (_maxColumns != value)
                {
                    _maxColumns = value;
                    OnPropertyChanged("MaxColumns");
                }
            }
        }

        #endregion

    }
}
