﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestGalleryBinding.ViewModels
{
    public class MainViewModel : ViewModelBase
    {
        public MainViewModel()
        {
            Initialization();
        }

        public ObservableCollection<TabViewModel> Tabs
        {
            get;
            set;
        }

        private void Initialization()
        {
            Tabs = new ObservableCollection<TabViewModel>();
            var homeTab = new TabViewModel()
            {
                Title = "HOME",
                Id = "Home"
            };

            var styleGroup = new GroupViewModel()
            {
                Id = "StyleGroup",
                Title = "Styles"
            };

            var gallery = new GalleryViewModel()
            {
                Id = "StyleGallery"
            };

            var galleryCategory = new GalleryCategoryViewModel()
            {
                Id = "StyleGalleryCategoryOne",
                Title = "Category 1"
            };

            for (int i = 0; i < 10; i++)
            {
                var categoryItem = new GalleryItemViewModel()
                {
                    Id = string.Format("GalleryCategoryItem{0}", i),
                    Title = string.Format("Item {0}", i)
                };
                galleryCategory.Add(categoryItem);
            };
            gallery.Add(galleryCategory);
            styleGroup.Add(gallery);
            homeTab.Add(styleGroup);
            Tabs.Add(homeTab);
        }
    }
}
