﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestGalleryBinding.ViewModels
{
    public abstract class TitledElementViewModelBase 
        : ElementViewModelBase
    {
        #region Private fields

        private string _title;
        private string _description;

        #endregion

        #region Constructors

        public TitledElementViewModelBase()
        {
            
        }

        #endregion

        #region Properties

        /// <summary>
        /// Gets or sets element title
        /// </summary>
        public string Title
        {
            get
            {
                return _title;
            }
            set
            {
                if (_title != value)
                {
                    _title = value;
                    OnPropertyChanged("Title");
                    OnPropertyChanged("HasTitle");
                }
            }
        }

        /// <summary>
        /// Gets flag: element has title or not
        /// </summary>
        public bool HasTitle
        {
            get
            {
                return !string.IsNullOrEmpty(_title);
            }
        }

        /// <summary>
        /// Gets or sets element description
        /// </summary>
        public string Description
        {
            get
            {
                return _description;
            }
            set
            {
                if (_description != value)
                {
                    _description = value;
                    OnPropertyChanged("Description");
                }
            }
        }

        #endregion
    }
}
